package com.sifang.modules.htySap.vo;

import java.math.BigDecimal;

public class ProcureApplyOrderVo {

    private String ZZOASQ;//OA申请号

    private String ZZOASQH;//OA申请行号
    private String BSART;//采购申请类型  固定 Z003-外购件采购申请
    private String MATNR;//物料编码
    private String TXZ01;//物料短文本-物料名称
    private String MENGE;//申请数量
    private String MEINS;//单位
    private String BADAT;//请求日期
    private String LFDAT;//交货日期
    private String WERKS;//备货仓库对应的工厂代码
    private String EKGRP;//采购组 --固定R05
    private String AFNAM;//申请人--传申请人名字
    private String ZZSQBM;//申请部门


    private String LOEKZ;

    private String KNTTP;
    private String PSTYP;
    private String LGORT;
    private String EKORG;
    private String LIFNR;
    private String ZZZJLY;
    /**
     * 评估价格
     */
    private String PREIS;
    /**
     * 价格单位，默认为 1
     */
    private String PEINH;
    /**
     * 货币
     */
    private String WAERS;
    /**
     * 品牌
     */
    private String ZZMATPP;
    /**
     * 物料组
     */
    private String MATKL;
    /**
     * OA系统根据物料主数据-物料编码获取
     */
    private String ZZMATTH;
    /**
     * 型号规格, OA系统根据物料主数据-物料编码获取
     */
    private String ZZXHGG;
    /**
     * 项目名称
     */
    private String ZZXMMC;
    /**
     * 总账科目
     */
    private String SAKTO;
    /**
     * 成本中心，科目类别KNTTP=“K”时，必输
     */
    private String KOSTL;
    /**
     * 固定资产	EBKN	ANLN1	IN	CHAR	12	0	N		科目类别KNTTP=“A”时，必输
     * 固定资产次级号	EBKN	ANLN2	IN	CHAR	4	0	N		科目类别KNTTP=“A”时，必输
     * 订单号	EBKN	AUFNR	IN	CHAR	12	0	N		科目类别KNTTP=“F”时，必输
     * WBS元素	EBKN	PS_PSP_PNR	IN	CHAR	24	0	N		科目类别KNTTP=“Q”时，必输
     * 网络	AFVC	NPLNR	IN	CHAR	12	0	N		科目类别KNTTP=“P”时，必输
     * 网络作业号	RESB	VORNR	IN	CHAR	4	0	N		科目类别KNTTP=“P”时，必输
     * 销售订单号	EBKN	VBELN	IN	CHAR	10	0	N		科目类别KNTTP=“M”时，必输
     * 销售订单行号	EBKN	VBELP	IN	CHAR	6	0	N		科目类别KNTTP=“M”时，必输
     * 行项目文本备注	——	string					N
     */
    private String ANLN1;
    private String ANLN2;
    private String AUFNR;
    private String PS_PSP_PNR;
    private String NPLNR;
    private String VORNR;
    private String VBELN;
    private String VBELP;
    private String ZTEXT;
    private String ZTEST;
    private String ZCSHX;
    private String VETEN;


    public String getZZOASQ() {
        return ZZOASQ;
    }

    public void setZZOASQ(String ZZOASQ) {
        this.ZZOASQ = ZZOASQ;
    }

    public String getZZOASQH() {
        return ZZOASQH;
    }

    public void setZZOASQH(String ZZOASQH) {
        this.ZZOASQH = ZZOASQH;
    }

    public String getBSART() {
        return BSART;
    }

    public void setBSART(String BSART) {
        this.BSART = BSART;
    }

    public String getMATNR() {
        return MATNR;
    }

    public void setMATNR(String MATNR) {
        this.MATNR = MATNR;
    }

    public String getTXZ01() {
        return TXZ01;
    }

    public void setTXZ01(String TXZ01) {
        this.TXZ01 = TXZ01;
    }

    public String getMENGE() {
        return MENGE;
    }

    public void setMENGE(String MENGE) {
        this.MENGE = MENGE;
    }

    public String getMEINS() {
        return MEINS;
    }

    public void setMEINS(String MEINS) {
        this.MEINS = MEINS;
    }

    public String getBADAT() {
        return BADAT;
    }

    public void setBADAT(String BADAT) {
        this.BADAT = BADAT;
    }

    public String getLFDAT() {
        return LFDAT;
    }

    public void setLFDAT(String LFDAT) {
        this.LFDAT = LFDAT;
    }

    public String getWERKS() {
        return WERKS;
    }

    public void setWERKS(String WERKS) {
        this.WERKS = WERKS;
    }

    public String getEKGRP() {
        return EKGRP;
    }

    public void setEKGRP(String EKGRP) {
        this.EKGRP = EKGRP;
    }

    public String getAFNAM() {
        return AFNAM;
    }

    public void setAFNAM(String AFNAM) {
        this.AFNAM = AFNAM;
    }

    public String getZZSQBM() {
        return ZZSQBM;
    }

    public void setZZSQBM(String ZZSQBM) {
        this.ZZSQBM = ZZSQBM;
    }

    public String getLOEKZ() {
        return LOEKZ;
    }

    public void setLOEKZ(String LOEKZ) {
        this.LOEKZ = LOEKZ;
    }

    public String getKNTTP() {
        return KNTTP;
    }

    public void setKNTTP(String KNTTP) {
        this.KNTTP = KNTTP;
    }

    public String getPSTYP() {
        return PSTYP;
    }

    public void setPSTYP(String PSTYP) {
        this.PSTYP = PSTYP;
    }

    public String getLGORT() {
        return LGORT;
    }

    public void setLGORT(String LGORT) {
        this.LGORT = LGORT;
    }

    public String getEKORG() {
        return EKORG;
    }

    public void setEKORG(String EKORG) {
        this.EKORG = EKORG;
    }

    public String getLIFNR() {
        return LIFNR;
    }

    public void setLIFNR(String LIFNR) {
        this.LIFNR = LIFNR;
    }

    public String getZZZJLY() {
        return ZZZJLY;
    }

    public void setZZZJLY(String ZZZJLY) {
        this.ZZZJLY = ZZZJLY;
    }

    public String getPREIS() {
        return PREIS;
    }

    public void setPREIS(String PREIS) {
        this.PREIS = PREIS;
    }

    public String getPEINH() {
        return PEINH;
    }

    public void setPEINH(String PEINH) {
        this.PEINH = PEINH;
    }

    public String getWAERS() {
        return WAERS;
    }

    public void setWAERS(String WAERS) {
        this.WAERS = WAERS;
    }

    public String getZZMATTH() {
        return ZZMATTH;
    }

    public void setZZMATTH(String ZZMATTH) {
        this.ZZMATTH = ZZMATTH;
    }

    public String getZZXHGG() {
        return ZZXHGG;
    }

    public void setZZXHGG(String ZZXHGG) {
        this.ZZXHGG = ZZXHGG;
    }

    public String getZZXMMC() {
        return ZZXMMC;
    }

    public void setZZXMMC(String ZZXMMC) {
        this.ZZXMMC = ZZXMMC;
    }

    public String getSAKTO() {
        return SAKTO;
    }

    public void setSAKTO(String SAKTO) {
        this.SAKTO = SAKTO;
    }

    public String getKOSTL() {
        return KOSTL;
    }

    public void setKOSTL(String KOSTL) {
        this.KOSTL = KOSTL;
    }

    public String getANLN1() {
        return ANLN1;
    }

    public void setANLN1(String ANLN1) {
        this.ANLN1 = ANLN1;
    }

    public String getANLN2() {
        return ANLN2;
    }

    public void setANLN2(String ANLN2) {
        this.ANLN2 = ANLN2;
    }

    public String getAUFNR() {
        return AUFNR;
    }

    public void setAUFNR(String AUFNR) {
        this.AUFNR = AUFNR;
    }

    public String getPS_PSP_PNR() {
        return PS_PSP_PNR;
    }

    public void setPS_PSP_PNR(String PS_PSP_PNR) {
        this.PS_PSP_PNR = PS_PSP_PNR;
    }

    public String getNPLNR() {
        return NPLNR;
    }

    public void setNPLNR(String NPLNR) {
        this.NPLNR = NPLNR;
    }

    public String getVORNR() {
        return VORNR;
    }

    public void setVORNR(String VORNR) {
        this.VORNR = VORNR;
    }

    public String getVBELN() {
        return VBELN;
    }

    public void setVBELN(String VBELN) {
        this.VBELN = VBELN;
    }

    public String getVBELP() {
        return VBELP;
    }

    public void setVBELP(String VBELP) {
        this.VBELP = VBELP;
    }

    public String getZTEXT() {
        return ZTEXT;
    }

    public void setZTEXT(String ZTEXT) {
        this.ZTEXT = ZTEXT;
    }

    public String getZTEST() {
        return ZTEST;
    }

    public void setZTEST(String ZTEST) {
        this.ZTEST = ZTEST;
    }

    public String getZCSHX() {
        return ZCSHX;
    }

    public void setZCSHX(String ZCSHX) {
        this.ZCSHX = ZCSHX;
    }

    public String getVETEN() {
        return VETEN;
    }

    public void setVETEN(String VETEN) {
        this.VETEN = VETEN;
    }

    public String getZZMATPP() {
        return ZZMATPP;
    }

    public void setZZMATPP(String ZZMATPP) {
        this.ZZMATPP = ZZMATPP;
    }

    public String getMATKL() {
        return MATKL;
    }

    public void setMATKL(String MATKL) {
        this.MATKL = MATKL;
    }
}
